## org.apache.batik.bridge
Class SVGAnimationEngine.AnimationThread.Ticker

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimationThread.Ticker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SVGAnimationEngine.AnimationThread

    protected class SVGAnimationEngine.AnimationThread.Ticker

extends java.lang.Object
implements java.lang.Runnable

A runnable that ticks the animation engine.

Field Summary
`protected float` `t` The document time to tick at next.

Constructor Summary
`protected` `SVGAnimationEngine.AnimationThread.Ticker()`

Method Summary
`void` `run()` Ticks the animation over.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### t

    protected float t

  The document time to tick at next.

Constructor Detail

### SVGAnimationEngine.AnimationThread.Ticker

    protected SVGAnimationEngine.AnimationThread.Ticker()

Method Detail

### run

    public void run()

  Ticks the animation over.

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.